<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean-el" prefix="bean-el" %>
<%@page import="de.intevation.gnv.action.sessionmodel.DiagrammOptions"%>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModelFactory"%>
<%@page import="de.intevation.gnv.artifactdatabase.objects.OutputMode"%>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModel"%>
<%@page import="java.util.Collection"%>
<%@page import="de.intevation.gnv.artifactdatabase.objects.OutputParameter"%>
<%@page import="java.util.Iterator"%>
<%
  SessionModel sm = SessionModelFactory.getInstance().getSessionModel(request);
  DiagrammOptions diagrammOptions = sm.getDiagrammOptions();
  boolean useDiagrammOptions = diagrammOptions != null;
  String target = "chart";
  OutputMode outputMode = sm.getOutputMode(target);
%>
<div id="diagramOptionsContent">
    <fieldset>
        <legend onmousedown="displayDiv('diagramOptionsContent');" class="expandableFieldset">
           <bean:message key="gnviewer.diagram.options.header.title"/>
        </legend>
        <form id="outputOptionsForm" method="post" action="<%=response.encodeURL("changeOptions.do")%>">
           <table>
           <%if (outputMode != null && outputMode.getOutputParameters() != null && !outputMode.getOutputParameters().isEmpty()){
               Iterator<OutputParameter> it = outputMode.getOutputParameters().iterator();
               while (it.hasNext()){
                   OutputParameter om = it.next(); %>
               <tr>
                  <td>
                      <bean-el:message key="<%=om.getName()%>"/>
                  </td>
                  <td>
                      <%if (om.getType().equalsIgnoreCase("boolean")){
                          boolean checked = useDiagrammOptions ? "true".equalsIgnoreCase(diagrammOptions.getValue(om.getName())) : om.getValue().equalsIgnoreCase("true");
                      %>
                            <input type="checkbox" 
                                   name="<%=om.getName() %>" 
                                   <%=checked ? " value=\"true\" checked=\"checked\"": "" %>/>
                      <%}else{%>
                            <input type="text" name="<%=om.getName() %>" value="<%=useDiagrammOptions ? diagrammOptions.getValue(om.getName()): om.getValue()%>"/>
                      <%}%>
                  </td>
              </tr>
           <%}%>
           </table>
           <input type="hidden" name="target" value="<%=target%>"/>
           <input type="submit" value="<bean:message key="gnviewer.select.button"/>"/>
           <%}%>
        </form>
    </fieldset>
</div>